#include <systemc.h>

SC_MODULE(mod)
{
	sc_clock clk;
	
	bool b;
	
	void p1()
	{
		if(b) b = !b;
	}

	void p2()
	{
		b = !b;
	}

	SC_CTOR(mod)
	{
		SC_METHOD(p1);
		sensitive << clk;

		SC_METHOD(p2);
		sensitive << clk;
	}
};

int sc_main(int argc, char* argv[])
{
	mod m("mod");
	sc_start(10);
	return 0;
}
