/* C++ */
#ifndef SC_TRACE_H
#define SC_TRACE_H

namespace sc_core
{

typedef const char sc_trace_file;

void scoot_create_vcd_trace_file(const char*);

inline
sc_trace_file* sc_create_vcd_trace_file(const char* name)
{
    scoot_create_vcd_trace_file(name);
    return name;
}

void sc_close_vcd_trace_file(sc_trace_file*);

template<class T>
void sc_trace(sc_trace_file*, const sc_signal<T>&, const char*);

}

#endif
