#ifndef __PRINT_H
#define __PRINT_H

#include <__bv.h>
#include <iostream>


inline void __scoot_print_cstr(__signedbv<INT_BSIZE> io,  __signedbv<8>* cstr)
{
	if(io.to_int() == 0)	// cout
	  std::cout << (const char*) cstr;
	else if(io.to_int() == 1)  // cerr
	  std::cerr << (const char*) cstr;
}

inline void __scoot_print_char(__signedbv<INT_BSIZE> io,  __signedbv<8> c)
{
	if(io.to_int() == 0)	// cout
	  std::cout <<  (char) c.to_int();
	else if(io.to_int() == 1)  // cerr
	  std::cerr <<  (char) c.to_int();
}

inline void __scoot_print_int(__signedbv<INT_BSIZE> io,  __signedbv<INT_BSIZE> i)
{
	if(io.to_int() == 0)	// cout
	  std::cout <<  i.to_int();
	else if(io.to_int() == 1)  // cerr
	  std::cerr <<  i.to_int();
}

inline void __scoot_print_unsigned(__signedbv<INT_BSIZE> io,  __unsignedbv<UINT_BSIZE> i)
{
	if(io.to_int() == 0)	// cout
	  std::cout <<  (unsigned) i.to_int();
	else if(io.to_int() == 1)  // cerr
	  std::cerr <<  (unsigned) i.to_int();
}


#endif
